#
# (C) COPYRIGHT 2001 TIVOLI Systems, Inc. 
# Unpublished Work
# All Rights Reserved
# Licensed Material - Property of TIVOLI Systems, Inc.
#

# This is the main TMX4J property file.

#
# BootstrapPropsURL: refers to the URL location where the bootstrap 
# configuration file will be searched for.
# E.g. BootstrapPropsURL = file:/c:/tmx4j/ext/lib/bootstrap.properties
#
#BootstrapPropsURL =

#
# include: specifies a Java property file containing more JMX properties.
# It is recommended that all properties be kept in a single file for simplicity.
# The included property file is searched only if a property key is not found 
# in jmx.properties (this file).
# E.g. include = conf --> includes the file "conf.properties" that must be
# located in a directory specified on the CLASSPATH.
#
#include = 

#
# LogManager: this controls which logging mechanism is used. It must be the
# fully-qualified name of a class implementing the JFLT logging manager
# interface (com.tivoli.jflt.LogManager). It follows a list of possible
# Log Manager implementations:
#
#    1) com.tivoli.jmx.utils.logging.jlog.JlogManager (Default)
#       log messages are written using a Logging Toolkit for Java specialization (JLog);
#
#    2) com.tivoli.jflt.buffering.CircularBufferManager
#       log messages are not written to an output device as they are logged but
#       they are held in a circular buffer until the setManager method is called;
#
#    3) com.tivoli.jflt.standard.StandardManager
#       log messages are written using the "standard" output stream (without filters).
#
#       your.company.logging.jras.JRasManager, etc.
#       log messages are written according to custom logging mechanisms.
#
# Uncomment and change the following line to specify a LogManager implementation
# (default = com.tivoli.jmx.utils.logging.jlog.JlogManager).
#LogManager = com.tivoli.jmx.utils.logging.jlog.JlogManager

#
# Monitor_Max, Monitor_Min, Monitor_Growth: to configure the monitors thread pool.
# Default: Monitor_Max = 20, Monitor_Min=1, Monitor_Growth=1
#Monitor_Max    = 20
#Monitor_Min    = 1
#Monitor_Growth = 1

#
# WARNING! The following settings are used only by the JlogManager!
#


#
# JmxLog: to enable/disable the writing of the log file.
# Set to one of: off | on (default = on)
#
JmxLog = off

#
# JmxLogFile: the location and name of the log file.
# A number in the range 1..JmxMaxLogFiles is appended to the end of the file 
# name before the file extension. For example, if "/logs/message.log" is the 
# name of the file, the set of files to which log records are written will be 
# "/logs/message1.log", "/logs/message2.log", etc. When a file fills, this 
# class renames it to number n + 1. Using the same example, "message1.log" 
# would become "message2.log". In this way, "message1.log" will always contain 
# the latest information. 
# Default = Tmx4j_.log
#
JmxLogFile = Tmx4j_.log

#
# JmxConsoleLog: to enable/disable the log on console.
# Set to one of: off | on (default = off)
#
JmxConsoleLog = off

#
# JmxMaxLogFiles: the maximum number of log files.
# Default = 2
#
JmxMaxLogFiles = 2

#
# JmxMaxLogFileSize: the maximum size of each log file (in kilobytes).
# Default = 1024
#
JmxMaxLogFileSize = 1024

#
# JmxLogFormatter: to enable the writing of the thread id for each log entry.
# Set to one of: EnhancedFormatter | TraceFormatter.
# Uncomment the following line to write the thread ID.
#
#JmxLogFormatter = TraceFormatter

#
# Jmx<comp>LogLevel: control the number of messages logged to the log file.
# You have to specify a log level value for each TMX4J component and for 
# the user code that uses JlogManager for logging (User). The TMX4J
# components are: Core, Monitor, Timer, Utils, Loading, Relation and ModelMBean.
# Possible values: from 1 (low verbosity) to 4 (high) [default = 3]
#
JmxCoreLogLevel       = 3
JmxMonitorLogLevel    = 3
JmxTimerLogLevel      = 3
JmxUtilsLogLevel      = 3
JmxLoadingLogLevel    = 3
JmxRelationLogLevel   = 3
JmxModelMBeanLogLevel = 3

JmxUserLogLevel       = 3

#
# Uncomment the following line to have messages timestamps with GMT timezone
#
#JmxTime = GMT

#
# JmxSyncLog: if true logging will be synchronous.
#
JmxSyncLog = true
